package com.unipi.talepis.difflanguages3;

import android.app.Activity;
import android.content.res.Configuration;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ListView;
import android.widget.Toast;

import java.util.Locale;

public class MainActivity extends Activity {
    ListView lv1;
    String  chosenlang="";
    int langpos;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        lv1=(ListView)this.findViewById(R.id.listView1);

        lv1.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                chosenlang = (String) lv1.getItemAtPosition(position);
                langpos = position;
                Toast.makeText(getApplicationContext(), chosenlang, Toast.LENGTH_SHORT).show();
            }
        });
    }
    public void updateconfig(String s)
    {

        String languageToLoad  = s; // change language
        Locale locale = new Locale(languageToLoad);
        Locale.setDefault(locale);
        Configuration config = new Configuration();
        config.locale = locale;
        getBaseContext().getResources().updateConfiguration(config,
                getBaseContext().getResources().getDisplayMetrics());
        Bundle tempBundle = new Bundle();
        onCreate(tempBundle);
        setTitle(R.string.app_name);
        invalidateOptionsMenu();
    }
    public void changelang(View v)
    {
        switch(langpos) {
            case 0:
                updateconfig("en");
                break;
            case 1:
                updateconfig("de");
                break;
            case 2:
                updateconfig("fr");
                break;
            default:
                break;
        }
    }
}
